v2.0

put

/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/depots/{depotId}/inventory/kits

Updates kit attributes from depot inventory by depot ID, for both serialized and non serialized kits. Rights: OrsInventoryPost and OrsUnblinded.

Request

Path Parameters
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical depot
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : UpdateDepotKitsRequest v2.0
Type: object
Title: UpdateDepotKitsRequest v2.0
Request to update status of serialized and non-serialized kits.
Show Source
Nested Schema : DepotKitFiltersRequest v2.0
Type: object
Title: DepotKitFiltersRequest v2.0
Request object for kit filters.
Show Source
Nested Schema : Kits
Type: array
Title: Kits
Kit ID.
Show Source
Nested Schema : Inventory Status IDs
Type: array
Title: Inventory Status IDs
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
Show Source
Example:
[
    5,
    10
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : UpdateDepotKitsResponse
Type: object
Title: UpdateDepotKitsResponse
Response object of update kit.
Show Source
Examples

400 Response

Specify at least one kit attribute OR Reason is required OR Specify at least one filter. OR Either kits or kitFilters is required OR Invalid kit status OR Invalid kit range filter OR Invalid lot OR Invalid label group in kit filters OR Invalid kit type OR Invalid location OR No kits to update OR Update kits retrieved size exceeds maximum rows for update limit OR Invalid inventory status transition
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

Invalid study ID or version
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top